%define name	opengrade
%define version	2.0.9
%define release	1mdk

Summary:	Local and web-based gradebook.
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Office
Source0:	%name.tar.bz2
Source1:	%{name}_doc.pdf.bz2
Url:		http://www.lightandmatter.com/ogr/ogr.html
Requires:	perl-Term-ReadKey perl-Date-Calc perl-Digest-SHA1 perl-Tk
Requires:	tk
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
OpenGrade is software for teachers to keep track of grades.
* A variety of reports can be created.
* Grades can be uploaded to a web server, where students can have
  password-protected access to them.
* If you use a set grading scale, you can have the software use it to compute
  letter grades automatically.
* Grades can be based on total points, or on a weighted average of scores in
  various categories such as exams and quizzes.
* You can drop the lowest grade (or the N lowest grades) from a given category.
* Students can be dropped and later reinstated without losing all their grades.
* Gradebook files can be automatically backed up on a web server.
* There is support for extra-credit categories, and for categories that don't
  count towards the student's grade.
* Gradebook files are password-protected with a digital watermark, so you can
  detect tampering.
* Gradebook files are in a plain-text format, which makes it easy to work with
  them using Unix utilities. 

%prep
%setup -q -n %{name}_distro
bzcat %SOURCE1 > %name.pdf

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/%_libdir/%name
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp *.pm $RPM_BUILD_ROOT/%_libdir/%name
cp *.cgi $RPM_BUILD_ROOT/%_libdir/%name
cp OpenGrade $RPM_BUILD_ROOT/%_libdir/%name
echo '#!/bin/bash' > $RPM_BUILD_ROOT/%_bindir/%name
echo '/usr/lib/opengrade/OpenGrade' >> $RPM_BUILD_ROOT/%_bindir/%name
chmod ugo+x $RPM_BUILD_ROOT/%_bindir/%name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="office_accessories_section.png" needs="x11" title="OpenGrade" longtitle="Digital Gradebook" section="Office/Accessories"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README Copying %{name}.pdf *.gb
%_bindir/%name
%_libdir/%name
%_menudir/%name

%changelog
* Wed Feb 19 2003 Austin Acton <aacton@yorku.ca> 2.0.9-1mdk
- 2.0.9
- change group to office

* Fri Jan 17 2003 Austin Acton <aacton@yorku.ca> 2.0.3-1mdk
- initial package
